import { gql } from 'graphql-request/build/esm';

// Currently not imported due to a bug with Parcel and the bundle-text
// importer, and complications with running the query from the
// imported text.

// Exports
export const fetchAccounts = gql`
query fetchAccounts($first: Int, $after: String, $filter: AccountFilterArgs, $orderBy: AccountOrderBy) {
  viewer {
    id
    accounts(first: $first, after: $after, filter: $filter, orderBy: $orderBy) {
      nodes {
        ...AccountSelectorAccountParts
        __typename
      }
      totalCount
    }
  }
}

fragment AccountSelectorAccountParts on Account {
  id
  accountNumber
  name
  kennitala
  owner
  state
  isVaxtareikningur30
  isNoticeAccount
  currency
  isCurrencyAccount
  availableAmount
  balance
  orderedAmountAvailable
  orderedAmountTotal
  __typename
}
`
